- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- TriggerBody
- Qt Quick 3D Physics | Commercial or GPLv3

# TriggerBody QML Type

Base type for a trigger body. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherits: | CollisionNode

- List of all members, including inherited members

## Properties

- collisionCount : int

## Signals

- bodyEntered(CollisionNode *body)
- bodyExited(CollisionNode *body)

## Detailed Description

This is the base type for a trigger body. A trigger body is a body that does not interact physically but is used to detect when objects intersect.

## Property Documentation

collisionCount : int

This property returns the number of bodies currently colliding with the trigger body.

## Signal Documentation

bodyEntered(CollisionNode *body)

This signal is emitted when the trigger body is penetrated by the specified body.

Note: The corresponding handler is `onBodyEntered`.

bodyExited(CollisionNode *body)

This signal is emitted when the trigger body is no longer penetrated by the specified body.

Note: The corresponding handler is `onBodyExited`.